//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2010)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org

#include <iostream>
#include <string>
#include <wx/wx.h>

using namespace std;

class getGRID
{
  public:
         getGRID(){};
         ~getGRID(){};
         //void setFile(char file_load[]);
	 void setFile(wxString file_load);
         void getPointsFromFile();
         void analyze_file_content();
         long getNumberPoints() const {return num_points;}
         long getNumberFaces() const {return num_faces;}
         long getNumberCols() const {return num_cols;}
         long getNumberRows()const {return num_rows;}
         double getXDist()const {return xDist;}
         void getPoints(double z_value[]);
         void getBoundaries(double bounds[]);
         double getXMin()const {return xmin;}
         double getYMin()const {return ymin;}

                  
  private: 
         wxString infile;  
         long num_points;
         long num_faces;
         double xmin;
         double xmax;
         double ymin;
         double ymax;
         double zmin;
         double zmax;
         double *x;
         double *y;
         double *z;
         double xDist;
         long num_cols;
         long num_rows;
         string file_content;      
};
